/* Fonts.java

	Purpose:
		
	Description:
		
	History:
		2:35 PM 2019/9/26, Created by jumperchen

Copyright (C) 2019 Potix Corporation. All Rights Reserved.
*/
package io.keikai.importer;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import io.keikai.model.SFont;

/**
 * @author jumperchen
 */
public class Fonts {
	private Map<XlsxExtractor.XlsxFontExtractor, SFont> _fontsMap = new HashMap<>();
	private List<SFont> _fonts = new ArrayList<>();
	public Fonts() {}

	public void addFont(XlsxExtractor.XlsxFontExtractor xFont, SFont sFont) {
		// keep the same instance to reduce memory footprint
		SFont exist = _fontsMap.get(xFont);
		if (exist != null) {
			_fonts.add(exist);
		} else {
			_fontsMap.put(xFont, sFont);
			_fonts.add(sFont);
		}
	}

	public SFont getFontAt(int index) {
		return _fonts.get(index);
	}
	public SFont getFont(XlsxExtractor.XlsxFontExtractor xFont) {
		return _fontsMap.get(xFont);
	}
}
