/* JSONNode.java

	Purpose:
		
	Description:
		
	History:
		3:40 PM 03/07/2017, Created by jumperchen

Copyright (C) 2017 Potix Corporation. All Rights Reserved.
*/
package io.keikai.importer.xml;

import java.util.Map;

import io.keikai.json.JSONAware;

/**
 * Internal use to optimize the memory footprint.
 * @author jumperchen
 */
public interface JSONNode extends JSONAware {
	public static final String NULL_STRING_VALUE = "null";
	public void addAttributes(Map<String, String> attributes);
	public void addElement(String name, JSONAware element);
	public void addContent(String text);
	public Object get(String key);
}
