/* CFIconImpl.java

    Purpose:

    Description:

    History:
        5:05 PM 2021/03/16, Created by Henri Chen<henrichen@potix.com>
 
    Copyright (C) 2021 Potix Corporation. All Rights Reserved.
*/
package io.keikai.model;
import java.io.Serializable;

// @since 5.7.0
public class CFIconImpl implements SCFIcon, Serializable {
    private SIconSet.IconSetType _type;
    private Integer _iconId;

    public void setType(SIconSet.IconSetType type) {
        this._type = type;
    }

    @Override
    public SIconSet.IconSetType getType() {
        return _type;
    }

    public void setIconId(Integer id) {
        this._iconId = id;
    }
    @Override
    public Integer getIconId() {
        return _iconId;
    }

    public CFIconImpl cloneCFIcon() {
        CFIconImpl cfIcon = new CFIconImpl();

        cfIcon._type = _type;
        cfIcon._iconId = _iconId;
        return cfIcon;
    }
}
