package io.keikai.model;

public interface SBorderBuilder extends StyleBuilder<SBorder> {

    SBorderBuilder borderLeft(SBorder.BorderType type);
    SBorderBuilder borderLeftColor(String color);

    SBorderBuilder borderTop(SBorder.BorderType type);
    SBorderBuilder borderTopColor(String color);

    SBorderBuilder borderRight(SBorder.BorderType type);
    SBorderBuilder borderRightColor(String color);

    SBorderBuilder borderBottom(SBorder.BorderType type);
    SBorderBuilder borderBottomColor(String color);

    SBorderBuilder borderVertical(SBorder.BorderType type);
    SBorderBuilder borderVerticalColor(String color);

    SBorderBuilder borderHorizontal(SBorder.BorderType type);
    SBorderBuilder borderHorizontalColor(String color);

    SBorderBuilder borderDiagonal(SBorder.BorderType type);
    SBorderBuilder borderDiagonalColor(String color);

    SBorderBuilder showDiagonalUpBorder(boolean show);
    SBorderBuilder showDiagonalDownBorder(boolean show);
}
