/* SCFIcon.java

    Purpose:

    Description:

    History:
        4:58 PM 2021/03/16, Created by Henri Chen<henrichen@potix.com>
 
    Copyright (C) 2021 Potix Corporation. All Rights Reserved.
*/
package io.keikai.model;
import io.keikai.model.SIconSet.IconSetType;

/**
 * Mixed-group (aka. custom) IconSet information in ConditionalFormatting.
 * @author henri
 * @since 5.7.0
 */
public interface SCFIcon {
    /** Returns the icon set name of this icon */
    IconSetType getType();

    /** Returns the icon set id of this icon */
    Integer getIconId();
}
