package io.keikai.model;

public interface SCellStyleBuilder extends StyleBuilder<SCellStyle> {

    SCellStyleBuilder font(SFont font);

    SCellStyleBuilder backColor(String backColor);

    SCellStyleBuilder fillColor(String fillColor);

    SCellStyleBuilder fillPattern(SFill.FillPattern fillPattern);

    SCellStyleBuilder borderLeft(SBorder.BorderType borderLeft);

    SCellStyleBuilder borderLeftColor(String color);

    SCellStyleBuilder borderTop(SBorder.BorderType borderTop);

    SCellStyleBuilder borderTopColor(String color);

    SCellStyleBuilder borderRight(SBorder.BorderType borderRight);

    SCellStyleBuilder borderRightColor(String color);

    SCellStyleBuilder borderBottom(SBorder.BorderType borderBottom);

    SCellStyleBuilder borderBottomColor(String color);

    SCellStyleBuilder alignment(SCellStyle.Alignment alignment);

    SCellStyleBuilder verticalAlignment(SCellStyle.VerticalAlignment verticalAlignment);

    SCellStyleBuilder wrapText(boolean wrapText);

    SCellStyleBuilder dataFormat(String dataFormat);

    SCellStyleBuilder directFormat(boolean directFormat);

    SCellStyleBuilder locked(boolean locked);

    SCellStyleBuilder hidden(boolean hidden);

    SCellStyleBuilder rotation(int rotation);

    SCellStyleBuilder indention(int indention);
}
