package io.keikai.model;

import java.util.Set;

/**
 * This interface stores the region of the current dependent precedent tracing.
 * @author wenninghsu
 * @since 5.6.0
 */
public interface SDependencyTracer {

	public SheetRegion getSheetRegion();

	public void setSheetRegion(SheetRegion sheetRegion);

	public Set<SheetRegion> getRegions();

	public void setRegions(Set<SheetRegion> region);

	public void clearRegions();

	public Type getType();

	public void setType(Type type);

	enum Type {
		PRECEDENT,
		DEPENDENT
	}

}
