package io.keikai.model.impl.chart;

import io.keikai.model.SChart;
import io.keikai.model.impl.AbstractChartAdv;

/**
 * @since 5.3.0
 */
public abstract class GroupingChartDataImpl extends GeneralChartDataImpl {
    private static final long serialVersionUID = 6362901337586571087L;
    private SChart.ChartGrouping grouping;

    public GroupingChartDataImpl(AbstractChartAdv chart, String id) {
        super(chart, id);
    }

    public SChart.ChartGrouping getGrouping() {
        return grouping;
    }

    public void setGrouping(SChart.ChartGrouping grouping) {
        this.grouping = grouping;
    }

    @Override
    public void copyFrom(GeneralChartDataImpl src) {
        super.copyFrom(src);
        if (src instanceof GroupingChartDataImpl) {
            grouping = ((GroupingChartDataImpl) src).grouping;
        }
    }
}
