/* AuCellAutoFitHeight.java

    Purpose:

    Description:

    History:
        Fri Dec 23 16:47:22 CST 2022, Created by jameschu

Copyright (C) 2022 Potix Corporation. All Rights Reserved.
{{IS_RIGHT
	This program is distributed under GPL Version 2.0 in the hope that
	it will be useful, but WITHOUT ANY WARRANTY.
}}IS_RIGHT
*/
package io.keikai.ui.au.out;

import org.zkoss.zk.au.AuResponse;
import org.zkoss.zk.ui.Component;

/**
 * A AuCellAutoFitHeight(server to client) to auto fit specific cell
 * @author jameschu
 */
public class AuCellAutoFitHeight extends AuResponse {

	public AuCellAutoFitHeight(Component comp, Object data) {
		super("setAttr", comp, new Object[] {comp.getUuid(), "cellAutoFitHeight", data});
	}
}