package io.keikai.ui.impl.ua;

import io.keikai.api.Books;
import io.keikai.api.Ranges;
import io.keikai.api.model.Book;
import io.keikai.api.model.Sheet;
import io.keikai.ui.Spreadsheet;
import io.keikai.ui.UserActionContext;

public class NewBookHandler extends AbstractHandler {

    private static final long serialVersionUID = 3570112474663397662L;

    @Override
    protected boolean processAction(UserActionContext ctx) {
        final Book book = Books.createBook("New Book.xlsx");
        Ranges.range(book).createSheet("Sheet1");
        final Spreadsheet zss = ctx.getSpreadsheet();
        zss.setSrc(null);
        zss.setBook(book);
        ctx.clearClipboard();
        return true;
    }
}
