/* CellXfs.java

	Purpose:
		
	Description:
		
	History:
		3:23 PM 2019/9/24, Created by jumperchen

Copyright (C) 2019 Potix Corporation. All Rights Reserved.
*/
package io.keikai.importer;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author jumperchen
 */
public class CellXfs {
	private Map<XlsxExtractor.XlsxCellXfExtractor, XlsxExtractor.XlsxCellXfExtractor> _xfsMap = new HashMap<>();
	private List<XlsxExtractor.XlsxCellXfExtractor> _xfs = new ArrayList<>();
	public CellXfs() {}

	public void addCellXf(XlsxExtractor.XlsxCellXfExtractor xf) {
		// keep the same instance to reduce memory footprint
		XlsxExtractor.XlsxCellXfExtractor exist = _xfsMap.get(xf);
		if (exist != null) {
			_xfs.add(exist);
		} else {
			_xfsMap.put(xf, xf);
			_xfs.add(xf);
		}
	}

	public XlsxExtractor.XlsxCellXfExtractor getCellXfAt(int index) {
		return _xfs.get(index);
	}
}
