package io.keikai.model.impl;

import io.keikai.model.SDependencyTracer;
import io.keikai.model.SheetRegion;

import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;

public class DependencyTracerImpl implements SDependencyTracer, Serializable {

	private Set<SheetRegion> _regions = new HashSet<>(4);

	private SheetRegion _sheetRegion;

	private Type _type;

	@Override
	public SheetRegion getSheetRegion() {
		return _sheetRegion;
	}

	@Override
	public void setSheetRegion(SheetRegion sheetRegion) {
		_sheetRegion = sheetRegion;
	}

	@Override
	public Set<SheetRegion> getRegions() {
		return _regions;
	}

	@Override
	public void setRegions(Set<SheetRegion> region) {
		_regions = region;
	}

	@Override
	public void clearRegions() {
		_regions.clear();
	}

	@Override
	public Type getType() {
		return _type;
	}

	@Override
	public void setType(Type type) {
		this._type = type;
	}

}
