package io.keikai.ui;

import org.zkoss.mesg.Messages;
import org.zkoss.util.media.Media;
import org.zkoss.zk.ui.Component;
import org.zkoss.zk.ui.Execution;
import org.zkoss.zk.ui.Executions;
import org.zkoss.zk.ui.UiException;
import org.zkoss.zk.ui.event.EventListener;
import org.zkoss.zk.ui.event.UploadEvent;
import org.zkoss.zul.Fileupload;
import org.zkoss.zul.impl.FileuploadDlg;
import org.zkoss.zul.mesg.MZul;

import java.util.HashMap;
import java.util.Map;

public class ZSFileupload extends org.zkoss.zul.Fileupload {

	private static String _templ = "~./zssex/dlg/zsfileuploading.zul";

	public static Media get() {
		return get((String)null, (String)null, false);
	}

	public static Media get(boolean alwaysNative) {
		return get((String)null, (String)null, alwaysNative);
	}

	public static Media get(String message, String title) {
		return get(message, title, false);
	}

	public static Media get(String message, String title, boolean alwaysNative) {
		Media[] result = get(message, title, 1, alwaysNative);
		return result != null ? result[0] : null;
	}

	public static Media[] get(EventListener<UploadEvent> listener) {
		return get(1, listener);
	}

	public static Media[] get(int max, EventListener<UploadEvent> listener) {
		return get(new HashMap(8), (String)null, (String)null, max, -1, false, listener);
	}

	public static Media[] get(int max) {
		return get((String)null, (String)null, max, false);
	}

	public static Media[] get(int max, boolean alwaysNative) {
		return get((String)null, (String)null, max, alwaysNative);
	}

	public static Media[] get(String message, String title, int max) {
		return get(message, title, max, false);
	}

	public static Media[] get(String message, String title, int max, boolean alwaysNative) {
		return get(message, title, max, -1, alwaysNative);
	}

	public static Media[] get(String message, String title, int max, int maxsize, boolean alwaysNative) {
		return get(new HashMap(8), message, title, max, maxsize, alwaysNative);
	}

	public static Media[] get(Map<String, Object> params, String message, String title, int max, int maxsize, boolean alwaysNative, EventListener<UploadEvent> listener) {
		return get(params, message, title, (String)null, max, maxsize, alwaysNative, listener);
	}

	public static Media[] get(Map<String, Object> params, String message, String title, String accept, int max, int maxsize, boolean alwaysNative, EventListener<UploadEvent> listener) {
		String temp = Fileupload.getTemplate();
		Fileupload.setTemplate(_templ);
		Media[] m = Fileupload.get(params, message, title, accept, max, maxsize, alwaysNative, listener);
		Fileupload.setTemplate(temp);
		return m;
	}

	protected static Media[] get(Map<String, Object> params, String message, String title, int max, int maxsize, boolean alwaysNative) {
		return get(params, message, title, max, maxsize, alwaysNative, (EventListener)null);
	}

}
