package io.keikai.ui.event;

import io.keikai.api.model.Sheet;
import org.zkoss.zk.ui.Component;

/**
 * An event after client-side ctrl+v paste.
 * KEIKAI-40: Fire an event when ZSS completed client-side paste
 * @author wenninghsu
 */
public class ClipboardPasteEvent extends CellAreaEvent {
	private static final long serialVersionUID = 1563422067801456476L;

	public ClipboardPasteEvent(Component target, Sheet sheet, int top, int left, int bottom, int right) {
		super(Events.ON_CLIPBOARD_PASTE, target, sheet, top, left, bottom, right);
	}
}
